import * as Types from "./";
import { CoreClient, InvokeResult } from "@polywrap/core-js";
export declare type UInt = number;
export declare type UInt8 = number;
export declare type UInt16 = number;
export declare type UInt32 = number;
export declare type Int = number;
export declare type Int8 = number;
export declare type Int16 = number;
export declare type Int32 = number;
export declare type Bytes = Uint8Array;
export declare type BigInt = string;
export declare type BigNumber = string;
export declare type Json = string;
export declare type String = string;
export declare type Boolean = boolean;
export interface Env extends Record<string, unknown> {
    skipCheckIfExists?: Types.Boolean | null;
    timeouts?: Types.Timeouts | null;
    disableParallelRequests?: Types.Boolean | null;
}
export interface Timeouts {
    getFile?: Types.UInt32 | null;
    checkIfExists?: Types.UInt32 | null;
    tryResolveUri?: Types.UInt32 | null;
}
export interface UriResolver_MaybeUriOrManifest {
    uri?: Types.String | null;
    manifest?: Types.Bytes | null;
}
export interface Ipfs_Ipfs_Options {
    timeout?: Types.UInt32 | null;
    provider?: Types.String | null;
    fallbackProviders?: Array<Types.String> | null;
    disableParallelRequests?: Types.Boolean | null;
}
export interface Ipfs_Ipfs_ResolveResult {
    cid: Types.String;
    provider: Types.String;
}
interface UriResolver_Module_Args_tryResolveUri {
    authority: Types.String;
    path: Types.String;
}
interface UriResolver_Module_Args_getFile {
    path: Types.String;
}
export declare const UriResolver_Module: {
    tryResolveUri: (args: UriResolver_Module_Args_tryResolveUri, client: CoreClient) => Promise<InvokeResult<Types.UriResolver_MaybeUriOrManifest | null>>;
    getFile: (args: UriResolver_Module_Args_getFile, client: CoreClient) => Promise<InvokeResult<Types.Bytes | null>>;
};
interface Ipfs_Module_Args_cat {
    cid: Types.String;
    options?: Types.Ipfs_Ipfs_Options | null;
}
interface Ipfs_Module_Args_resolve {
    cid: Types.String;
    options?: Types.Ipfs_Ipfs_Options | null;
}
interface Ipfs_Module_Args_addFile {
    data: Types.Bytes;
}
export declare const Ipfs_Module: {
    cat: (args: Ipfs_Module_Args_cat, client: CoreClient) => Promise<InvokeResult<Types.Bytes>>;
    resolve: (args: Ipfs_Module_Args_resolve, client: CoreClient) => Promise<InvokeResult<Types.Ipfs_Ipfs_ResolveResult | null>>;
    addFile: (args: Ipfs_Module_Args_addFile, client: CoreClient) => Promise<InvokeResult<Types.String>>;
};
export {};
